<template>
  <div>
    <div class="content-head">
      <dataBreadcrumb :breads="breads"></dataBreadcrumb>
      <h3>查看合同</h3>
      <h5>查看合同</h5>
    </div>
    <div class="content">
      <div class="flex">
        <div>下载合同：</div>
        <ul>
          <li class="flex">
            <div>合同名字.pdf</div>
            <el-button size="mini">下载</el-button>
          </li>
        </ul>
      </div>
      <div class="contractContent flex-center">
        <h1>合同内容</h1>
      </div>
    </div>
    <div class="bottomButton">
      <el-button @click="back">返回</el-button>
    </div>
  </div>
</template>

<script>
	
import {contract} from '@api/purchaser/buyOut'
import dataBreadcrumb from '@components/dataBreadcrumb.vue'
export default {
  components: {
    dataBreadcrumb
  },
  data() {
    return {
		projectId:4,
      breads: ['应收账款买断管理', '应收账款买断列表'],
	  id:""
    }
  },
  created() {
  	this.contract();
	this.id=this.$route.query.id
  },
  methods: {
       async contract() {
           try {
			   let projectId=this.id;
             const {
               data,
               code
             } = await contract(projectId)
             if (code === 200) {
               this.tableData = data
             }
           } catch (e) {
             console.log(e)
           }
         }
  }

}
</script>
<style scoped>
	.contractContent{
		width: 100%;
		height: 500px;
		border:1px solid #000000;
		margin-top: 30px;
	}
	.button{
		margin-top: 30px;
		height: 50px;
		width: 100%;
	}
	ul>li>div{
		margin-right: 10px;
	}
</style>
